Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.dcd.graph
Class ClassNode

    java.lang.Object
      net.sourceforge.pmd.dcd.graph.ClassNode

All Implemented Interfaces:
  java.lang.Comparable<ClassNode>, NodeVisitorAcceptor

    public class ClassNode

extends java.lang.Object
implements NodeVisitorAcceptor, java.lang.Comparable<ClassNode>

Represents a Class in a UsageGraph. Contains lists of FieldNodes, ConstructorNodes, and MethodNodes.

Constructor Summary
`ClassNode(java.lang.String name)`

Method Summary
`java.lang.Object` | `accept(NodeVisitor visitor, java.lang.Object data)`
`int` | `compareTo(ClassNode that)`
`ConstructorNode` | `defineConstructor(java.lang.String name, java.lang.String desc)`
`FieldNode` | `defineField(java.lang.String name, java.lang.String desc)`
`MethodNode` | `defineMethod(java.lang.String name, java.lang.String desc)`
`boolean` | `equals(java.lang.Object obj)`
`java.util.List<ConstructorNode>` | `getConstructorNodes()`
`java.util.List<FieldNode>` | `getFieldNodes()`
`java.util.List<MethodNode>` | `getMethodNodes()`
`java.lang.String` | `getName()`
`java.lang.Class<?>` | `getType()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassNode

    public ClassNode(java.lang.String name)

Method Detail

### accept

    public java.lang.Object accept(NodeVisitor visitor,
                                   java.lang.Object data)

  Specified by:
    `accept` in interface `NodeVisitorAcceptor`

### getName

    public java.lang.String getName()

### getType

    public java.lang.Class<?> getType()

### defineField

    public FieldNode defineField(java.lang.String name,
                                 java.lang.String desc)

### defineConstructor

    public ConstructorNode defineConstructor(java.lang.String name,
                                             java.lang.String desc)

### defineMethod

    public MethodNode defineMethod(java.lang.String name,
                                   java.lang.String desc)

### getFieldNodes

    public java.util.List<FieldNode> getFieldNodes()

### getConstructorNodes

    public java.util.List<ConstructorNode> getConstructorNodes()

### getMethodNodes

    public java.util.List<MethodNode> getMethodNodes()

### compareTo

    public int compareTo(ClassNode that)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<ClassNode>`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.